package com.prolog.cs.biz.outbound.model;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description
 * @Date 2021-06-17
 */
@ApiModel
@Table(value = "wms_sale_red_record")
public class SaleRedRecord extends BaseModel implements Serializable {
    private static final long serialVersionUID = 5160234087834710976L;
    @Id
    @AutoKey(type = AutoKey.TYPE_SNOWFLAKE)
    @ApiModelProperty(value = "主键id")
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "冲红数量")
    @Column(value = "qty")
    private BigDecimal qty;

    @ApiModelProperty(value = "冲红原因")
    @Column(value = "reason")
    private String reason;

    @ApiModelProperty(value = "波次订单明细id")
    @Column(value = "bill_d_id")
    private String billDId;

    @ApiModelProperty(value = "波次订单id")
    @Column(value = "bill_id")
    private String billId;

    @ApiModelProperty(value = "商品id")
    @Column(value = "item_id")
    private String itemId;

    @ApiModelProperty(value = "来源单编码")
    @Column(value = "src_code")
    private String srcCode;

    @ApiModelProperty(value = "状态: 默认0")
    @Column(value = "status")
    private Integer status;

    @ApiModelProperty(value = "冲红类型：0-拣货 1-波次 2-外复核,3-原单整单红冲，4 内复核红冲，5 原单明细红冲")
    @Column(value = "type")
    private Integer type;

    @ApiModelProperty(value = "拣选人ID")
    @Column(value = "picker_id")
    private String pickerId;

    @ApiModelProperty(value = "拣选人工号")
    @Column(value = "picker_no")
    private String pickerNo;

    @ApiModelProperty(value = "拣选人名称")
    @Column(value = "picker_name")
    private String pickerName;

    @ApiModelProperty(value = "拣选人id")
    @Column(value = "checker_id")
    private String checkerId;

    @ApiModelProperty(value = "复核人工号")
    @Column(value = "checker_no")
    private String checkerNo;

    @ApiModelProperty(value = "复核人名称")
    @Column(value = "checker_name")
    private String checkerName;

    @ApiModelProperty(value = "备注")
    @Column(value = "remarks")
    private String remarks;

    @ApiModelProperty(value = "建筑物id")
    @Column(value = "bldg_id")
    private String bldgId;

    @ApiModelProperty(value = "仓id")
    @Column(value = "warehouse_id")
    private String warehouseId;

    @ApiModelProperty(value = "来源单id")
    @Column(value = "src_id")
    private String srcId;

    @ApiModelProperty(value = "来源单明细id")
    @Column(value = "src_line_id")
    private String srcLineId;
    
    @ApiModelProperty(value = "任务明细id")
    @Column(value = "PICK_TASK_D_ID")
    private String pickTaskDId;

    public String getPickTaskDId() {
        return pickTaskDId;
    }

    public void setPickTaskDId(String pickTaskDId) {
        this.pickTaskDId = pickTaskDId;
    }

    public String getSrcId() {
        return srcId;
    }

    public void setSrcId(String srcId) {
        this.srcId = srcId;
    }

    public String getSrcLineId() {
        return srcLineId;
    }

    public void setSrcLineId(String srcLineId) {
        this.srcLineId = srcLineId;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public BigDecimal getQty() {
        return this.qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public String getReason() {
        return this.reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getBillDId() {
        return this.billDId;
    }

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    public void setBillDId(String billDId) {
        this.billDId = billDId;
    }

    public String getItemId() {
        return this.itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getSrcCode() {
        return this.srcCode;
    }

    public void setSrcCode(String srcCode) {
        this.srcCode = srcCode;
    }

    public Integer getStatus() {
        return this.status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getType() {
        return this.type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getPickerId() {
        return this.pickerId;
    }

    public void setPickerId(String pickerId) {
        this.pickerId = pickerId;
    }

    public String getPickerNo() {
        return this.pickerNo;
    }

    public void setPickerNo(String pickerNo) {
        this.pickerNo = pickerNo;
    }

    public String getPickerName() {
        return this.pickerName;
    }

    public void setPickerName(String pickerName) {
        this.pickerName = pickerName;
    }

    public String getCheckerId() {
        return this.checkerId;
    }

    public void setCheckerId(String checkerId) {
        this.checkerId = checkerId;
    }

    public String getCheckerNo() {
        return this.checkerNo;
    }

    public void setCheckerNo(String checkerNo) {
        this.checkerNo = checkerNo;
    }

    public String getCheckerName() {
        return this.checkerName;
    }

    public void setCheckerName(String checkerName) {
        this.checkerName = checkerName;
    }

    public String getRemarks() {
        return this.remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getBldgId() {
        return this.bldgId;
    }

    public void setBldgId(String bldgId) {
        this.bldgId = bldgId;
    }

    public String getWarehouseId() {
        return this.warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }
}


